<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [firefish-js](./firefish-js.md) &gt; [Stream](./firefish-js.stream.md) &gt; [removeSharedConnectionPool](./firefish-js.stream.removesharedconnectionpool.md)

## Stream.removeSharedConnectionPool() method

**Signature:**

```typescript
removeSharedConnectionPool(pool: Pool): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pool | Pool |  |

**Returns:**

void

